Bug 164286 - php.spec comments amendments
php.spec comments amendments
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-26 11:54 EDT by Jeff Stern
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-08 06:27:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Stern 2005-07-26 11:54:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc3 Firefox/1.0.6

Description of problem:
2 things with the php.spec file:

1) for those who don't rebuild rpm's all day, it can be difficult to deal with spec files, so commentary is helpful. in this case there is language at the top of the php spec file for setting options. many folks may not even *know* what this language is (essentially 'if/then' syntax for compiling optional additional rpms for interbase, mssql, etc.). i've talked to people who've had the devil of a time getting past this, and ended up hard-coding the rest of the .spec file to make it do what they want. 

even when one *does* realize that these lines are for setting options, it's not clear HOW to set them. the rpmbuild man page does *not* include any info on the '--define' parameter, which i only found out eventually about by googling (see
<a href="https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=164281">bug 164281</a>). and even when one figures out you need '--define', do you use 'with_ibase 1'? that didn't work. '_with_ibase 1'? (yes) and so on. it took several (long) compiles to get it right.

so, a lot of time is wasted by many programmers worldwide trying to re-figure-out the same thing again and again, when a simple comment line at the top of the .spec file would be helpful.. so, in the interests of furthering the progress of the human race a few thousand hours, i am submitting an alternate head to the .spec file :) see below in 'additional information'

2) my email address as changed (from an earlier contribute/changes i made to the .spec file). see additional information section, as well.

Version-Release number of selected component (if applicable):
php-5.0.4-10.3.src.rpm

How reproducible:
Always

Steps to Reproduce:
1. try to figure out what top of .spec file means
2. try to find information from rpmbuild man page
3. google
4. pull hair out
5. repeat
  

Actual Results:  less hair

Expected Results:  quick/easy info on what the options are and how to use them on rpmbuild command line (see below)

Additional info:

1)

OLD .SPEC (AT TOP):

%define contentdir /var/www
%define with_oci8 %{?_with_oci8:1}%{!?_with_oci8:0}
%define with_mssql %{?_with_mssql:1}%{!?_with_mssql:0}
%define with_mhash %{?_with_mhash:1}%{!?_with_mhash:0}
%define with_ibase %{?_with_ibase:1}%{!?_with_ibase:0}

NEW .SPEC (AT TOP):

%define contentdir /var/www

# for oci8, then use e.g., rpmbuild --define '_with_oci8 1' -bb php.spec
%define with_oci8 %{?_with_oci8:1}%{!?_with_oci8:0}

# for ms sql, then use e.g., rpmbuild --define '_with_mssql 1' -bb php.spec
%define with_mssql %{?_with_mssql:1}%{!?_with_mssql:0}

# for mhash, then use e.g., rpmbuild --define '_with_mhash 1' -bb php.spec
%define with_mhash %{?_with_mhash:1}%{!?_with_mhash:0}

# for interbase, then use e.g., rpmbuild --define '_with_ibase 1' -bb php.spec
%define with_ibase %{?_with_ibase:1}%{!?_with_ibase:0}


2) email address change

OLD .SPEC FILE (FURTHER DOWN):

* Wed Aug 11 2004 Tom Callaway <tcallawa@redhat.com>
- Merge in some spec file changes from Jeff Stern (jastern@uci.edu)

NEW .SPEC FILE (FURTHER DOWN):

* Wed Aug 11 2004 Tom Callaway <tcallawa@redhat.com>
- Merge in some spec file changes from Jeff Stern (jas@uci.edu)
Comment 1 Joe Orton 2005-08-17 09:36:06 EDT
You use "--with mssql", "--with oci8" etc - it's fairly standard rpmbuild
syntax.  I've added a comment for future updates.
Comment 2 Joe Orton 2005-09-08 06:27:36 EDT
The new comments were in the -10.4 update, thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.